package com.yonge.cooleshow.admin.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-05-24
 */
@ApiModel("首页统计")
public class HomeStatistical {

    @ApiModelProperty("今日订单数")
    private Integer todayOrderNum;

    @ApiModelProperty("今日销售金额")
    private BigDecimal todayOrderAmount;

    @ApiModelProperty("昨日订单数")
    private Integer yesterdayOrderNum;

    @ApiModelProperty("昨日销售金额")
    private BigDecimal yesterdayOrderAmount;


    @ApiModelProperty("待付款订单")
    private Integer waitPayOrder;

    @ApiModelProperty("待发货订单")
    private Integer waitOutOrder;

    @ApiModelProperty("已发货订单")
    private Integer outOrder;

    @ApiModelProperty("已完成订单")
    private Integer successOrder;

    @ApiModelProperty("待确认收货订单")
    private Integer waitReceiptOrder;

    @ApiModelProperty("新缺货登记")
    private Integer outStockProduct;

    @ApiModelProperty("待处理退款申请")
    private Integer waitDisposeRefund;

    @ApiModelProperty("待处理退货订单")
    private Integer waitDisposeRefundOrder;

    @ApiModelProperty("已下架")
    private Integer delisted;


    @ApiModelProperty("已上架")
    private Integer shelves;


    @ApiModelProperty("库存紧张")
    private Integer outStock;


    @ApiModelProperty("全部商品")
    private Integer productNum;

    public Integer getTodayOrderNum() {
        return todayOrderNum;
    }

    public void setTodayOrderNum(Integer todayOrderNum) {
        this.todayOrderNum = todayOrderNum;
    }

    public BigDecimal getTodayOrderAmount() {
        return todayOrderAmount;
    }

    public void setTodayOrderAmount(BigDecimal todayOrderAmount) {
        this.todayOrderAmount = todayOrderAmount;
    }

    public Integer getYesterdayOrderNum() {
        return yesterdayOrderNum;
    }

    public void setYesterdayOrderNum(Integer yesterdayOrderNum) {
        this.yesterdayOrderNum = yesterdayOrderNum;
    }

    public BigDecimal getYesterdayOrderAmount() {
        return yesterdayOrderAmount;
    }

    public void setYesterdayOrderAmount(BigDecimal yesterdayOrderAmount) {
        this.yesterdayOrderAmount = yesterdayOrderAmount;
    }

    public Integer getWaitPayOrder() {
        return waitPayOrder;
    }

    public void setWaitPayOrder(Integer waitPayOrder) {
        this.waitPayOrder = waitPayOrder;
    }

    public Integer getWaitOutOrder() {
        return waitOutOrder;
    }

    public void setWaitOutOrder(Integer waitOutOrder) {
        this.waitOutOrder = waitOutOrder;
    }

    public Integer getOutOrder() {
        return outOrder;
    }

    public void setOutOrder(Integer outOrder) {
        this.outOrder = outOrder;
    }

    public Integer getSuccessOrder() {
        return successOrder;
    }

    public void setSuccessOrder(Integer successOrder) {
        this.successOrder = successOrder;
    }

    public Integer getWaitReceiptOrder() {
        return waitReceiptOrder;
    }

    public void setWaitReceiptOrder(Integer waitReceiptOrder) {
        this.waitReceiptOrder = waitReceiptOrder;
    }

    public Integer getOutStockProduct() {
        return outStockProduct;
    }

    public void setOutStockProduct(Integer outStockProduct) {
        this.outStockProduct = outStockProduct;
    }

    public Integer getWaitDisposeRefund() {
        return waitDisposeRefund;
    }

    public void setWaitDisposeRefund(Integer waitDisposeRefund) {
        this.waitDisposeRefund = waitDisposeRefund;
    }

    public Integer getWaitDisposeRefundOrder() {
        return waitDisposeRefundOrder;
    }

    public void setWaitDisposeRefundOrder(Integer waitDisposeRefundOrder) {
        this.waitDisposeRefundOrder = waitDisposeRefundOrder;
    }

    public Integer getDelisted() {
        return delisted;
    }

    public void setDelisted(Integer delisted) {
        this.delisted = delisted;
    }

    public Integer getShelves() {
        return shelves;
    }

    public void setShelves(Integer shelves) {
        this.shelves = shelves;
    }

    public Integer getOutStock() {
        return outStock;
    }

    public void setOutStock(Integer outStock) {
        this.outStock = outStock;
    }

    public Integer getProductNum() {
        return productNum;
    }

    public void setProductNum(Integer productNum) {
        this.productNum = productNum;
    }
}
